Index: /code/trunk/data/levels/includes/weaponSettingsAssff.oxi
===================================================================
--- /code/trunk/data/levels/includes/weaponSettingsAssff.oxi	(revision 10647)
+++ /code/trunk/data/levels/includes/weaponSettingsAssff.oxi	(revision 10648)
@@ -25,5 +25,4 @@
           </attached>
           <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" />
-          <EnergyDrink mode=0 munitionpershot=0 delay=0  material="Flares/point_lensflare" muzzleoffset="2,-0.2,-1" />
           <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-1.6, 1.3,-2" />
           <LightningGun mode=1 muzzleoffset="0,0,0" damage=3.14159 shielddamage=20 />
@@ -44,11 +43,3 @@
         </Weapon>
       </WeaponPack>
-      <WeaponPack>
-        <links>
-          <DefaultWeaponmodeLink firemode=1 weaponmode=0 />
-        </links>
-        <!--Weapon>
-          <EnergyDrink mode=0 munitionpershot=0 delay=0  material="Flares/point_lensflare"muzzleoffset="2,-0.2,-1" />
-        </Weapon-->
-      </WeaponPack>
     </weapons>
Index: /code/trunk/data/levels/includes/weaponSettingsAssff2.oxi
===================================================================
--- /code/trunk/data/levels/includes/weaponSettingsAssff2.oxi	(revision 10647)
+++ /code/trunk/data/levels/includes/weaponSettingsAssff2.oxi	(revision 10648)
@@ -45,11 +45,3 @@
         </Weapon>
       </WeaponPack>
-      <WeaponPack>
-        <links>
-          <DefaultWeaponmodeLink firemode=1 weaponmode=0 />
-        </links>
-        <!--Weapon>
-          <EnergyDrink mode=0 munitionpershot=0 delay=0  material="Flares/point_lensflare"muzzleoffset="2,-0.2,-1" />
-        </Weapon-->
-      </WeaponPack>
     </weapons>
Index: /code/trunk/src/orxonox/weaponsystem/WeaponSlot.cc
===================================================================
--- /code/trunk/src/orxonox/weaponsystem/WeaponSlot.cc	(revision 10647)
+++ /code/trunk/src/orxonox/weaponsystem/WeaponSlot.cc	(revision 10648)
@@ -62,4 +62,8 @@
     }
 
+    /**
+    @brief
+        Attaches the passed Weapon to this WeaponSlot. If this WeaponSlot is already occupied the old Weapon is removed and replaced by the new one.
+    */
     void WeaponSlot::attachWeapon(Weapon *weapon)
     {
@@ -76,4 +80,8 @@
     }
 
+    /**
+    @brief
+        Removes the attached weapon if there is any.
+    */
     void WeaponSlot::removeWeapon()
     {
Index: /code/trunk/src/orxonox/weaponsystem/WeaponSlot.h
===================================================================
--- /code/trunk/src/orxonox/weaponsystem/WeaponSlot.h	(revision 10647)
+++ /code/trunk/src/orxonox/weaponsystem/WeaponSlot.h	(revision 10648)
@@ -35,22 +35,24 @@
 namespace orxonox
 {
-        /**
-        @brief
-            The a WeaponSlot defines where a @ref orxonox::Weapon "Weapon" is placed on a pawn. (A WeaponSlot is a StaticEntity)
-            In a WeaponSlot there can be only one "Weapon", but a Weapon can have several @ref orxonox::WeaponMode "WeaponModes".
-            A WeaponMode is what one intuitively imagines as weapon. (E.g. RocketFire, LightningGun, LaserFire are weaponmodes)
+    /**
+    @brief
+        The a WeaponSlot defines where a @ref orxonox::Weapon "Weapon" is placed on a pawn. (A WeaponSlot is a StaticEntity)
+        In a WeaponSlot there can be only one "Weapon", but a Weapon can have several @ref orxonox::WeaponMode "WeaponModes".
+        A WeaponMode is what one intuitively imagines as weapon. (E.g. RocketFire, LightningGun, LaserFire are weaponmodes)
 
-            A WeaponSlot is created in XML (in a weaponsettings file), which can be done in the following fashion:
-            @code
-            <weaponslots>
-              <WeaponSlot position="-15.0,-1.5,0" />
-              <WeaponSlot position=" 15.0,-1.5,0" />
-              <WeaponSlot position="    0,   0,0" />
-            </weaponslots>
+        A WeaponSlot is created in XML (in a weaponsettings file), which can be done in the following fashion:
+        @code
+        <weaponslots>
+          <WeaponSlot position="-15.0,-1.5,0" />
+          <WeaponSlot position=" 15.0,-1.5,0" />
+          <WeaponSlot position="    0,   0,0" />
+        </weaponslots>
 
-        @author
-            Martin Polak
+        A WeaponSlot can be attached to a @ref orxonox::Pawn because WeaponSlot inherits from @ref orxonox::StaticEntity.
 
-        @ingroup Weaponsystem
+    @author
+        Martin Polak
+
+    @ingroup Weaponsystem
     */
     class _OrxonoxExport WeaponSlot : public StaticEntity
@@ -67,4 +69,8 @@
                 { return this->weapon_; }
 
+            /**
+            @brief
+                Checks whether there is a Weapon attached to this WeaponSlot.
+            */
             inline bool isOccupied() const
                 { return (this->weapon_ != 0); }
@@ -77,6 +83,6 @@
 
         private:
-            WeaponSystem * weaponSystem_;
-            Weapon * weapon_;
+            WeaponSystem * weaponSystem_; // Pointer to the WeaponSystem
+            Weapon * weapon_; // If the WeaponSlot is occupied a pointer to the attached Weapon is stored here.
     };
 }
